View Issue Details

IDProjectCategoryView StatusLast Update
0022169mantisbtattachmentspublic2017-01-31 04:02
ReportermatthiaspabstAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSmacOSOS VersionSierra
Product Version2.0.0 
Target Version2.1.0Fixed in Version2.1.0 
Summary0022169: File upload not working when $g_allowed_files is set
Description

Since v2.0.0 I'm not able to upload any files, when $g_allowed_files is set in the config_inc.php. In the dropzone it shows an warning "Sie k├Ânnen diesen Dateityp nicht hochladen".

When I disable this option, file upload works properly.

Tagsmodern-ui

Activities

matthiaspabst

matthiaspabst

2017-01-11 10:10

reporter  

trevorw

trevorw

2017-01-16 17:08

reporter   ~0055166

Same issue here. Found that adding a dot in front of the extension then dropzone allowed the file upload such as $g_allowed_files = ".ext1, .ext2, .ext3"; This does not follow the documentation as shown in 1.2/1.3 so not certain if this is different now in v2 or there is a bug here with passing the extension string to dropzone.

trevorw

trevorw

2017-01-16 17:09

reporter   ~0055167

Forgot quotes in the example, don't want to mess anyone up, quotes are needed: $g_allowed_files = ".ext1, .ext2, .ext3";

trevorw

trevorw

2017-01-16 17:10

reporter   ~0055168

hum, okay quotes are getting removed when posting... maybe escaped? $g_allowed_files = \".ext1, .ext2, .ext3\"; or single: $g_allowed_files = '.ext1, .ext2, .ext3';

atrol

atrol

2017-01-17 01:49

developer   ~0055171

his does not follow the documentation as shown in 1.2/1.3 so not certain if this is different now in v2 or there is a bug here

It's a bug
We have to add the dot for dropzone.
http://www.dropzonejs.com/#config-acceptedFiles

hum, okay quotes are getting removed when posting

Known bug, see 0022179

atrol

atrol

2017-01-17 04:31

developer   ~0055179

PR https://github.com/mantisbt/mantisbt/pull/998

Related Changesets

MantisBT: master 05552f52

2017-01-17 04:16:12

atrol

Details Diff
Correct list of accepted files for dropzone

Dropzone needs "." as prefix for accepted file extension [1]

Fixes 0022169

[1] http://www.dropzonejs.com/#config-acceptedFiles
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2017-01-11 10:10 matthiaspabst New Issue
2017-01-11 10:10 matthiaspabst File Added: mantisbt-file-upload-not-working.png
2017-01-16 17:08 trevorw Note Added: 0055166
2017-01-16 17:09 trevorw Note Added: 0055167
2017-01-16 17:10 trevorw Note Added: 0055168
2017-01-17 01:49 atrol Note Added: 0055171
2017-01-17 01:49 atrol Status new => confirmed
2017-01-17 01:49 atrol Tag Attached: modern-ui
2017-01-17 04:04 atrol Assigned To => atrol
2017-01-17 04:04 atrol Status confirmed => assigned
2017-01-17 04:04 atrol Target Version => 2.1.0
2017-01-17 04:31 atrol Note Added: 0055179
2017-01-17 07:45 atrol Changeset attached => MantisBT master 05552f52
2017-01-17 07:45 atrol Status assigned => resolved
2017-01-17 07:45 atrol Resolution open => fixed
2017-01-17 07:45 atrol Fixed in Version => 2.1.0
2017-01-31 04:02 vboctor Status resolved => closed